DtDbReloadNotify(library call)

NAME
DtDbReloadNotify — reload the Dt actions and data typing services database

SYNOPSIS

#include &<Dt/Action.h>
void DtDbReloadNotify(
DtDbReloadCallbackProc callback_proc,
XtPointer client_data);

DESCRIPTION

The DtDbReloadNotify function registers an application callback function that is called whenever the actions and data types database needs to be reloaded; the conditions that trigger this callback are implementation-dependent. The callback_proc must flush any actions and data type information that the application has cached and then call DtDbLoad(3) to reload the database. The client_data argument passes additional application information to the callback routine.

RETURN VALUE

The DtDbReloadNotify function returns no value.

If errors are encountered when reading the database files, error messages are written to the user's errorlog file ($HOME/.dt/errorlog). Records containing errors are not incorporated into the internal database.

SEE ALSO

Dt/Action.h - DtAction(5), DtDbLoad(3), dtactionfile(4), dtdtfile(4).